$sidebar-width: 300px !default;
$sidebar-height: auto !default;
$sidebar-position: (
  top: rhythm(.5),
  bottom: rhythm(.5),
  left: rhythm(.5),
) !default;
$sidebar-padding: 0 !default;
$sidebar-background: (
  color: color('primary', 'alpha', 90),
) !default;
$sidebar-shadow: none !default;
$sidebar-border: (
  radius: 4px,
) !default;

$sidebar-header-margin: 0 0 rhythm(.5) 0 !default;
$sidebar-header-padding: rhythm(.5) !default;

$sidebar-content-padding: 0 !default;

$sidebar-footer-margin: rhythm(.5) 0 0 0 !default;
$sidebar-footer-padding: rhythm(.5) !default;


.#{$namespace}-sidebar {
  @include set-position($sidebar-position);

  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  width: $sidebar-width;
  height: $sidebar-height;
  padding: $sidebar-padding;
  box-shadow: $sidebar-shadow;
  z-index: 10;

  &__header,
  &__footer {
    @include set-border($sidebar-border);
    @include set-background($sidebar-background);

    width: 100%;
  }

  &__header {
    flex: 0 0 auto;
    margin: $sidebar-header-margin;
    padding: $sidebar-header-padding;
  }

  &__content {
    @include set-border($sidebar-border);
    @include set-background($sidebar-background);

    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0;
    padding: $sidebar-content-padding;
    overflow-y: auto;

    .#{$namespace}-loader {
      margin: auto;
    }
  }

  &__footer {
    flex: 0 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: $sidebar-footer-margin;
    padding: $sidebar-footer-padding;

    h5 {
      width: 100%;
      margin: 0 0 rhythm(.5) 0;
    }

    p {
      flex: 1;
      margin: 0;
    }
  }
}
